Package com.independentsoft.office.diagrams

# Class IfElement

java.lang.Object
com.independentsoft.office.diagrams.IfElement

public class IfElement extends Object
The Class IfElement.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IfElement()`
  Instantiates a new if element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IfElement`
  `clone()`
  `VariableType`
  `getArgument()`
  Gets the argument.
  `AxisType[]`
  `getAxis()`
  Gets the axis.
  `int[]`
  `getCount()`
  Gets the count.
  `List<IElement>`
  `getElements()`
  Gets the elements.
  `FunctionType`
  `getFunction()`
  Gets the function.
  `FunctionOperator`
  `getFunctionOperator()`
  Gets the function operator.
  `boolean[]`
  `getHideLastTransition()`
  Gets the hide last transition.
  `String`
  `getName()`
  Gets the name.
  `ElementType[]`
  `getPointType()`
  Gets the point type.
  `int[]`
  `getStart()`
  Gets the start.
  `int[]`
  `getStep()`
  Gets the step.
  `String`
  `getValue()`
  Gets the value.
  `void`
  `setArgument​(VariableType argument)`
  Sets the argument.
  `void`
  `setAxis​(AxisType[] axis)`
  Sets the axis.
  `void`
  `setCount​(int[] count)`
  Sets the count.
  `void`
  `setFunction​(FunctionType function)`
  Sets the function.
  `void`
  `setFunctionOperator​(FunctionOperator functionOperator)`
  Sets the function operator.
  `void`
  `setHideLastTransition​(boolean[] hideLastTransition)`
  Sets the hide last transition.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setPointType​(ElementType[] pointType)`
  Sets the point type.
  `void`
  `setStart​(int[] start)`
  Sets the start.
  `void`
  `setStep​(int[] step)`
  Sets the step.
  `void`
  `setValue​(String val)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IfElement

    public IfElement()
    Instantiates a new if element.

- ## Method Details

  - ### clone

    public IfElement clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getElements

    public List<IElement> getElements()
    Gets the elements.
    Returns:
      the elements

  - ### getArgument

    public VariableType getArgument()
    Gets the argument.
    Returns:
      the argument

  - ### setArgument

    public void setArgument​(VariableType argument)
    Sets the argument.
    Parameters:
      `argument` - the new argument

  - ### getAxis

    public AxisType[] getAxis()
    Gets the axis.
    Returns:
      the axis

  - ### setAxis

    public void setAxis​(AxisType[] axis)
    Sets the axis.
    Parameters:
      `axis` - the new axis

  - ### getCount

    public int[] getCount()
    Gets the count.
    Returns:
      the count

  - ### setCount

    public void setCount​(int[] count)
    Sets the count.
    Parameters:
      `count` - the new count

  - ### getFunction

    public FunctionType getFunction()
    Gets the function.
    Returns:
      the function

  - ### setFunction

    public void setFunction​(FunctionType function)
    Sets the function.
    Parameters:
      `function` - the new function

  - ### getHideLastTransition

    public boolean[] getHideLastTransition()
    Gets the hide last transition.
    Returns:
      the hide last transition

  - ### setHideLastTransition

    public void setHideLastTransition​(boolean[] hideLastTransition)
    Sets the hide last transition.
    Parameters:
      `hideLastTransition` - the new hide last transition

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getFunctionOperator

    public FunctionOperator getFunctionOperator()
    Gets the function operator.
    Returns:
      the function operator

  - ### setFunctionOperator

    public void setFunctionOperator​(FunctionOperator functionOperator)
    Sets the function operator.
    Parameters:
      `functionOperator` - the new function operator

  - ### getPointType

    public ElementType[] getPointType()
    Gets the point type.
    Returns:
      the point type

  - ### setPointType

    public void setPointType​(ElementType[] pointType)
    Sets the point type.
    Parameters:
      `pointType` - the new point type

  - ### getStart

    public int[] getStart()
    Gets the start.
    Returns:
      the start

  - ### setStart

    public void setStart​(int[] start)
    Sets the start.
    Parameters:
      `start` - the new start

  - ### getStep

    public int[] getStep()
    Gets the step.
    Returns:
      the step

  - ### setStep

    public void setStep​(int[] step)
    Sets the step.
    Parameters:
      `step` - the new step

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String val)
    Sets the value.
    Parameters:
      `val` - the new value